struct rio_net
Prev | Structures | Next

## Name

struct rio_net — RIO network info

## Synopsis

    struct rio_net {
      struct list_head node;
      struct list_head devices;
      struct list_head mports;
      struct rio_mport * hport;
      unsigned char id;
    };

## Members

node

  Node in global list of RIO networks

devices

  List of devices in this network

mports

  List of master ports accessing this network

hport

  Default port for accessing this network

id

  RIO network ID

Prev | Up | Next
struct rio_mport | Home | struct rio_switch